﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Configuring Group Management</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Configuring Group Management</h1>
        <p>Administrators must configure the group management functionality in Saviynt Identity Governance and Administration (IGA) to enable the users to create and manage groups in IGA. When this functionality is configured, users can create, update, and delete groups in ARS.&#160; Windows groups are mapped to entitlements and managed via the roles framework. You can also add users or servers (Windows Server) as members of multiple groups. </p>
        <p><strong>Group management is supported by the following functionalities:</strong>
        </p>
        <ul>
            <li>
                <p><strong>Role Management</strong>: For adding or removing an entitlement from a user or a role associated with user’s permission in an application. For more information, see <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Managing-User-Group.htm">Managing User Groups</MadCap:xref>.</p>
            </li>
            <li>
                <p><strong>Reconciliation</strong>: Import of users into IGA and update to existing users based on the authorization details imported from the application. Any updates to role or entitlement assignments are applied to the user and access policies are reviewed to verify that the assignments are permissible. In case of violations, an exception is raised and a waiver approval is launched. This may require changes to the user’s access permissions in the application. For more information, see <MadCap:xref href="../Chapter03-Onboarding-Users/Importing-Users-using-the-UserImport-Job.htm">Importing Users using the UserImport Job</MadCap:xref>.</p>
            </li>
            <li>
                <p><b>Certification:</b> Provides a list of all user accounts that exist for an application and a complete list of roles and entitlements within the hierarchy of a role. The certification is sent to the application owner or role owner to approve the user accounts or role composition, respectively. If changes are required, a remediation process either de-provisions the user account in the application or the role is modified to reflect the approved composition. For more information, see <MadCap:xref href="../Chapter15-Managing-Campaigns-and-Certifications/Understanding-Campaigns-and-Certifications.htm">Managing Campaigns</MadCap:xref>.</p>
            </li>
            <li>
                <p><b>Reporting:</b> Is the ability to generate access reports on a scheduled or temporary basis. Reports are delivered to user via email. Some standard reports contain information on user access, role membership, and access requests. For more information, see<MadCap:xref href="../Chapter16-Managing-EIC-Analytics/Managing-EIC-Analytics.htm"> Managing IGA Analytics</MadCap:xref>.</p>
            </li>
        </ul>
        <p>Currently, you can create groups for the following applications:</p>
        <ul>
            <li>
                <p>Active Directory<br />You can also provision nested&#160;groups to&#160;Active Directory by adding a group as a member of another group.</p>
            </li>
            <li>
                <p>Unix</p>
            </li>
            <li>
                <p>Azure AD</p>
            </li>
            <li>
                <p>GCP </p>
                <div class="info" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
                    <p class="note">Available from Release v5.5 SP2</p>
                </div>
            </li>
            <li>
                <p>Okta</p>
                <div class="info" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
                    <p class="note">Available from Release v5.5 SP2</p>
                </div>
            </li>
            <li>
                <p>ADSI</p>
                <div class="info" MadCap:conditions="Default.v2020X,Default.v2021X" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
                    <p class="note">Available from Release v2020.0</p>
                </div>
            </li>
            <li>
                <p>Windows Server</p>
                <div class="info" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
                    <p class="note">Available from Release v2021.0</p>
                </div>
                <p>You can also add servers as members of multiple groups. </p>
                <p>
                    <br />
                </p>
            </li>
        </ul>
        <h2><a name="Configur"></a><strong>Configuring&#160;Groups</strong>
        </h2>
        <p>Perform the following tasks to configure group management:</p>
        <ol>
            <li>
                <p>Add a workflow (optional - with a manager defined) for approving group creation or modification requests.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">Only after selecting this workflow, you can use the entitlement type of  this endpoint while creating and managing groups.<br /></p>
                </div>
            </li>
            <ul>
                <li MadCap:conditions="Default.v55X">
                    <p>Go to&#160;<strong>Admin&#160;&gt; Identity Repository&#160;&gt;&#160;Security System&#160;&gt;&#160;Endpoint</strong> and select your endpoint.</p>
                </li>
                <li MadCap:conditions="Default.v2020X">
                    <p>From the Home page, go to&#160;<strong>App Switcher &gt; Admin&#160;&gt;&#160;Menu &gt; Identity Repository&#160;&gt;&#160;Security System&#160;&gt;&#160;Endpoint</strong> and select your endpoint.</p>
                </li>
                <li>
                    <p>In the <strong>Entitlement Type Show</strong> page that is displayed, select a workflow in <strong>Add Workflow.</strong> For example, SampleManagerWorkflow.</p>
                </li>
            </ul>
            <li>
                <p>Enable the option to view and create a group:</p>
                <ol style="list-style-type: lower-alpha;">
                    <li MadCap:conditions="Default.v55X">
                        <p>Go to&#160;<strong>Admin &gt; Menu &gt; SAV Roles &gt; SAV Roles</strong> and select your SAV role. For example, <strong>ROLE_ADMIN.</strong></p>
                    </li>
                    <li MadCap:conditions="Default.v2020X">
                        <p>From the Home page, go to&#160;<strong>App Switcher &gt; Admin &gt; Menu &gt; SAV Roles &gt; SAV Roles</strong> and select your SAV role. For example, <strong>ROLE_ADMIN.</strong></p>
                    </li>
                    <li MadCap:conditions="Default.v2021X">
                        <p>From the Home page, go to&#160;<strong>App Switcher &gt; Admin &gt; Menu &gt; SAV Roles</strong> and select your SAV role. For example, <strong>ROLE_ADMIN.</strong></p>
                    </li>
                    <li>
                        <p>In the <strong>SAV Role Detail</strong> page that is displayed, click <strong>Create Request Home Option</strong> to view the options for creating a request.</p>
                    </li>
                    <li>
                        <p>Select <strong>Manage Roles : Create Role</strong>.</p>
                    </li>
                    <li>
                        <p>Click <strong>Select Group To Create</strong> to view the list of groups available for selection.</p>
                    </li>
                </ol>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">
                        <br />- You can configure the name of an entitlement type for endpoints. For example, if you have configured the name of an entitlement type as AD Group, you must select&#160;<strong>AD Group </strong>under <strong>Select Group To Create</strong>&#160;to make this option available during AD group creation.</p>
                    <p>
                        <img src="../Resources/Images/Configure_AD_Group.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                    </p>
                    <p class="note">- After selecting this option, the <strong>Manage Roles : Update Role</strong> option is available in the <strong>Create Request Home Option page.</strong></p>
                </div>
            </li>
            <li>
                <p>Enable the option to update a group:</p>
                <ul>
                    <li MadCap:conditions="Default.v55X">
                        <p>Go to&#160;<strong>Admin &gt; Menu &gt; SAV Roles &gt; SAV Roles</strong> and select your SAV role. For example, <strong>ROLE_ADMIN.</strong></p>
                    </li>
                    <li MadCap:conditions="Default.v2020X">
                        <p>From the Home page, go to&#160;<strong>App Switcher &gt; Admin &gt; Menu &gt; SAV Roles &gt; SAV Roles</strong> and select your SAV role. For example, <strong>ROLE_ADMIN.</strong></p>
                    </li>
                    <li MadCap:conditions="Default.v2021X">
                        <p>From the Home page, go to&#160;<strong>App Switcher &gt; Admin &gt; Menu &gt; SAV Roles</strong> and select your SAV role. For example, <strong>ROLE_ADMIN.</strong></p>
                    </li>
                    <li>
                        <p>In the <strong>SAV Role Detail</strong> page that is displayed, click <strong>Create Request Home Option</strong> to view the options for updating a request.</p>
                    </li>
                    <li>
                        <p>Select <strong>Manage Roles : Update Role</strong> to make this option available during the group modification.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Reuse the deleted group names while creating a new group:</p>
                <ul>
                    <li MadCap:conditions="Default.v55X">
                        <p>Go to <strong>Admin&#160;&gt; Global Configuration&#160;&gt;&#160;Roles.</strong></p>
                    </li>
                    <li MadCap:conditions="Default.v2020X,Default.v2021X">
                        <p>From the Home page, go to <strong>App Switcher &gt; Admin&#160;&gt; Menu &gt;&#160;Global Configuration&#160;&gt;&#160;Roles.</strong></p>
                    </li>
                    <li>
                        <p>Select&#160;<strong>Reuse Deleted Group Name</strong>&#160;to <strong>TRUE</strong> and&#160;<strong>Reuse Deleted Group Name for endpoints</strong>&#160;to <strong>Windows</strong> Server in the <strong>Roles configurations</strong> page.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Define a workflow to add, modify, or delete a group:</p>
                <ul>
                    <li MadCap:conditions="Default.v2020X,Default.v2021X">
                        <p>From the Home page, go to <strong>App Switcher &gt; Admin&#160;&gt;&#160;Menu &gt; Global Configuration&#160;&gt;&#160;Roles.</strong></p>
                    </li>
                    <li MadCap:conditions="Default.v55X">
                        <p>Go to <strong>Admin&#160;&gt; Global Configuration&#160;&gt;&#160;Roles.</strong></p>
                    </li>
                    <li>
                        <p>Select a workflow in the <strong>Roles Add Workflow, Role Modification Workflow,</strong> and <strong>Roles Remove Workflow</strong> fields. For example, SampleManagerWorkflow.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Update a group with an auto-approval process, by assigning an auto-approval workflow in&#160;<strong>Role Modification Workflow</strong>&#160;or by selecting&#160;<strong>Role modification auto approve</strong>.&#160;</p>
            </li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <ul>
                <li>
                    <p>If you create or modify a Windows group when bulk approval is enabled in ARS, the&#160;<strong>Request Approval</strong>&#160;page for the Windows group creation request shows the name and owner details of the group. This helps the request approver to view the&#160;Windows group details directly from&#160;<strong>Request Details</strong>&#160;without spending time to open individual requests.</p>
                </li>
            </ul>
            <ul>
                <li>
                    <p>When you create a Windows group, the&#160;<strong>Create Entitlement Request</strong>&#160;type is created for it in the system. If the owner is added to the group, the <strong>Owner </strong>field in the&#160;<strong>Show Entitlement Detail Request</strong> window of the <strong>Request Approval</strong> page displays the first&#160;name, last name, and email id of the owner. Otherwise, it displays the requestor name as the owner. This helps the approver to view the owner details directly from the&#160;<strong>Show Entitlement Detail Request</strong>&#160;window.</p>
                </li>
            </ul>
        </div>
        <h2><a name="Configur2"></a><strong>Configuring&#160;Nested Groups to Active Directory</strong>
        </h2>
        <p>You can create an&#160;Entitlement&#160;type role from&#160;<strong>ARS &gt; Create Role or&#160;Admin &gt; Identity Repository &gt; Role &gt; Create Role</strong>&#160;and specify the Active Directory Group name for the role (parent group) and add the child groups to the role. Ensure that the child entitlements that you plan to add are available in IGA. While creating the role, attach the Active Directory endpoint in which you want to create the nested&#160;Active Directory groups. After the role is created, add the child groups (child entitlements) assigned to it and send the role for approval.&#160;</p>
        <p>After the role is approved, corresponding tasks are created in IGA. To provision the newly created&#160;Active Directory nested groups to Active Directory, run the provisioning job (WSRETRY). This job creates new entitlements with the same name as the Role name in the Active Directory endpoint.&#160;</p>
        <h2><strong>Prerequisites</strong>
        </h2>
        <ul>
            <li>
                <p>You possess a working knowledge of&#160;Active Directory concepts such as:</p>
                <ul>
                    <li>
                        <p>Active Directory&#160;groups are CN of type member.</p>
                    </li>
                    <li>
                        <p><strong>memberOf</strong>&#160;is the parent of the&#160;Active Directory group.</p>
                    </li>
                    <li>
                        <p>Members are child entitlements of the&#160;Active Directory group.</p>
                    </li>
                    <li>
                        <p>Distinguished Name (DN) is the hierarchy and path where the&#160;Active Directory groups are located.</p>
                    </li>
                </ul>
            </li>
        </ul>
        <p>Perform the following configuration tasks to enable the nested group management functionality:</p>
        <ol>
            <li>
                <p>S<span class="inline-comment-marker">elect a workflow:</span></p>
                <ol>
                    <li>
                        <p>Go to&#160;<strong>Admin&gt;Endpoint&gt;Endpoint show of&#160;Active Directory endpoint&gt;EntitlementType tab&gt;View details on memberOf entitlementtype</strong>.</p>
                    </li>
                    <li>
                        <p>Select <strong>Add Workflow</strong> (For example, RoleApprovalWF) in the <strong>EntitlementType Show</strong> page.&#160;</p>
                    </li>
                </ol>
            </li>
            <li>
                <p>Define the&#160;<strong>ConnectionConfig</strong>&#160;entry in the <strong>Show Endpoints </strong>page:<br /><span class="attr">&lt;conf&gt;&lt;ADDMEMBERTOENT&gt;TRUE&lt;/ADDMEMBERTOENT&gt;&lt;ADDUSERTOENT&gt;TRUE&lt;/ADDUSERTOENT&gt;&lt;/conf&gt;</span><br />It was configured from the database in the previous releases of IGA.</p>
            </li>
            <li>
                <p>Define the "groupType" and "objectCategory" properties in the <strong>createupdateMappings</strong> for the&#160;Active Directory connection. The following is a sample with these properties defined:<br />2147483646: It represents Global Security Group that includes group members of global scope that are from the same domain as the parent global group.<br />2147483644: It represents Local Security Group that includes global and universal group members from any domain but domain local group must be only from the same domain.<br />2147483640: It represents Universal Security Group that includes group members of global scope and universal scope.&#160;</p>
            </li>
            <li>
                <p>Set <strong>ENABLEGROUPMANAGEMENT</strong> to True, TRUE, or true in the&#160;Active Directory connection.</p>
            </li>
            <li>
                <p>Set the&#160;Active Directory connection in&#160;<strong>Admin&gt; Security System</strong>.</p>
            </li>
        </ol>
        <h3 id="ConfiguringGroupManagement-TypicalWorkflowofGroupManagement">Typical Workflow of Group Management</h3>
        <ol>
            <li>
                <p>A user creates, updates, or deletes a group. </p>
                <p MadCap:conditions="Default.v2020X">For more information, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-mang-grp.htm" pubname="IGA-User-Guide-v2020x" class="peer">Managing Groups</a></MadCap:conditionalText> in the <em>IGA User Guide</em>.</p>
                <p MadCap:conditions="Default.v2021X">For more information, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-mang-grp.htm" pubname="IGA-User-Guide-v2021x" class="peer">Managing Groups</a></MadCap:conditionalText> in the<em> IGA User Guide</em>.</p>
            </li>
            <li>
                <p>An approver approves the user’s actions performed in Step 1. </p>
                <p MadCap:conditions="Default.v2020X">For more information, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-mang-pend-appr.htm" pubname="IGA-User-Guide-v2020x" class="peer">Managing Pending Approvals</a></MadCap:conditionalText> in the <em>IGA User Guide</em>.</p>
                <p MadCap:conditions="Default.v2021X">For more information, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-mang-pend-appr.htm" pubname="IGA-User-Guide-v2021x" class="peer">Managing Pending Approvals</a></MadCap:conditionalText> in the<em> IGA User Guide</em>.</p>
            </li>
            <li>
                <p>If instant provisioning is enabled, the provisioning job is automatically executed to perform the action based on the result of Step 2. Otherwise, manual provisioning is performed by the administrator. For more information, see Provisioning Job in <MadCap:xref href="../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Categories-for-Flat-Job-Control-Panel.htm#Utility">Job Categories for Flat Job Control Panel</MadCap:xref>.</p>
            </li>
        </ol>
        <h2>Troubleshooting</h2>
        <p>The Request Home page is launched instead of the Create Group page.</p>
        <p><strong>Resolution: </strong>Perform all the tasks required to configure group management as explained in <MadCap:xref href="#Configur">Configuring&#160;Groups</MadCap:xref> or <MadCap:xref href="#Configur2">Configuring&#160;Nested Groups to Active Directory</MadCap:xref>.</p>
    </body>
</html>